#!/usr/bin/perl

use strict;
use warnings;
use English;
use Test::More tests => 5;
use File::Path;

BEGIN { use_ok('SOCC::File::Pid'); }
rmtree('tmp/'); mkpath('tmp/');

my $pidfile = SOCC::File::Pid->new('tmp/lockfile.pid');
ok(defined $pidfile);


my $ok = $pidfile->write();
ok($ok);


# Show that there is no buffering involved.
my $pid = `cat tmp/lockfile.pid`;
chomp $pid;
ok($pid eq $PID);


# Should not open file when one already exists.
`perl -Iblib/lib t/test_file_pidlock.pl`;
ok($CHILD_ERROR == 0);

